package com.mgr.group;

import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

import com.mgr.group.data.Group;
import com.taurus.core.util.Logger;

public class Global {
	/**
	 * debug模式
	 */
	public static boolean			loggerDebug	= false;
	// 日志
	public static Logger			logger;

	public static SessionManager  sessionMgr;
	public static GroupController groupCtr;
	public static ConcurrentMap<Integer, Group> groupMap;
	
	public static void init() {
		groupMap = new ConcurrentHashMap<>();
		sessionMgr = new SessionManager();
		groupCtr = new GroupController();
	}

	
}
